rtfcitations
Prev | Chapter 15. Tools for bibliographies | Next

## Name

rtfcitations — Extracts RefDB citations from a text file and writes them into an XML file using the citationlistx.dtd.

## Synopsis

`rtfcitations` [`-h` ]

## Description

rtfcitations reads a plain text document (such as the word processor format RTF, hence its name) from stdin and scans it for particular character sequences which denote RefDB citations. The citations are converted to an XML document following the citationlistx.dtd and sent to stdout. The input document may be any structured or non-structured text which sticks to the following conventions:

Simple citations

  Enclose the RefDB citation key in double square brackets, as in "[[Miller1999]]".

Multi-head citations

  Enclose each RefDB citation key in square brackets, and surround the entire multi-head citation with another pair of square brackets, as in "[[Miller1999][Doe2001]]".

The resulting XML file can be fed to refdbib to generate a bibliography file containing the cited works.

## Options

`-h`

  Prints a command synopsis on the screen and exits.

## Example

The following command extracts all citations from foo.rtf and writes them to foo.id.xml:

    	~$
    	rtfcitations < foo.rtf > foo.id.xml

## See also

RefDB (7), refdbib (1).

RefDB manual (local copy) PREFIX/share/doc/refdb-<version>/refdb-manual/index.html

RefDB manual (web) <http://refdb.sourceforge.net/manual/index.html>

RefDB on the web <http://refdb.sourceforge.net/>

## Author

rtfcitations was written by Markus Hoenicka <markus@mhoenicka.de>.

Prev | Up | Next
refdb-ms | Home | Part V. Programmer's manual